Last Comment Bug 590226 - Notification bar for Junk Mail is not very informative
: Notification bar for Junk Mail is not very informative
Status: RESOLVED FIXED
[good first bug]
: ux-jargon
Product: Thunderbird
Classification: Client Software
Component: Message Reader UI (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Bryan
:
Mentors:
Depends on:
Blocks: junktracker
  Show dependency treegraph
 
Reported: 2010-08-24 11:04 PDT by Andreas Nilsson (:andreasn)
Modified: 2012-04-30 12:16 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot of new junk mail notification (15.06 KB, image/png)
2012-04-25 09:33 PDT, Bryan
bwinton: feedback+
Details
Patch for bug 590226 (787 bytes, patch)
2012-04-26 20:31 PDT, Bryan
mkmelin+mozilla: review-
Details | Diff | Splinter Review
Patch for bug 590226 - v2 (1.40 KB, patch)
2012-04-27 12:53 PDT, Bryan
mkmelin+mozilla: review+
Details | Diff | Splinter Review

Description Andreas Nilsson (:andreasn) 2010-08-24 11:04:59 PDT
Currently the junk mail notification bar consists of three items:
1. An icon
2. A small snippet of text saying "Junk Mail"
3. A button saying "Not Junk"

The text saying Junk mail is not informative enough.
Maybe having it saying something like "Thunderbird thinks this is junk mail" instead.

I bet there is an ux-principle for this.
Comment 1 Andreas Nilsson (:andreasn) 2010-08-24 11:07:45 PDT
It feels awfully close to ux-jargon or ux-tone.
Making it a proper sentence would make it sound more natural.
Comment 2 Bryan 2012-04-25 09:33:07 PDT
Created attachment 618324 [details]
Screenshot of new junk mail notification

Hi. This is my first attempt at contributing. How about "This message is marked as junk mail" ?
Comment 3 Matt Brubeck (:mbrubeck) 2012-04-25 11:35:09 PDT
Comment on attachment 618324 [details]
Screenshot of new junk mail notification

I think Blake Winton is an appropriate person to request feedback from, for this change.
Comment 4 Blake Winton (:bwinton) (:☕️) 2012-04-25 12:14:39 PDT
Comment on attachment 618324 [details]
Screenshot of new junk mail notification

I think I prefer "Thunderbird thinks this message is junk mail.", which matches "Firefox is having trouble recovering your windows and tabs.", and "Firefox has prevented this site from opening a window."  (Also, please end the sentence with a period.)

This will make your patch a little more complicated, since you'll need to use the "brandShortName" entity, but hopefully there is some code you can steal from that does just that.  ;)

So, I'm going to say, f+ with those fixed.

Thanks,
Blake.
Comment 5 Magnus Melin 2012-04-25 23:10:12 PDT
Hm, maybe this would be a good place to have tri-state junk info? (See bug 366491.) And possibly likelihood it is junk. (Can be a follow-up of course.)
Comment 6 Bryan 2012-04-26 20:31:16 PDT
Created attachment 618909 [details] [diff] [review]
Patch for bug 590226

Ran xpcshell and check tests. Check runs fine, xpcshell has failures, but there are the same number of failures before the patch and after the patch (5).
Comment 7 Bryan 2012-04-26 20:32:36 PDT
Hi Magnus - as I am new to development, not sure if I can take that additional portion on (assuming you were directing that to me).
Comment 8 Magnus Melin 2012-04-26 22:30:51 PDT
Bryan, thats ok, it can be done in another followup-bug.
Comment 9 Magnus Melin 2012-04-26 22:33:39 PDT
Comment on attachment 618909 [details] [diff] [review]
Patch for bug 590226

Review of attachment 618909 [details] [diff] [review]:
-----------------------------------------------------------------

To ask for review you should set the review flag to ? and choose a reviewer.

::: mail/locales/en-US/chrome/messenger/messenger.dtd
@@ -774,4 @@
>  <!ENTITY contextUnmute.accesskey "m">
>  
>  <!-- Junk Bar -->
> -<!ENTITY junkBarMessage1.label "Junk Mail">

Unfortunately, when we change strings we also need to change the key (junkBarMessage1.label needs to change to something else), otherwise localizers can't notice changes. Yes, it's a pain :(
Comment 10 Bryan 2012-04-27 09:08:59 PDT
I'm not exactly sure I get how the localization mechanism works, or why it's junkBarMessage1.label and not just junkBarMessage.label. Would the appropriate change be to make it junkBarMessage2.label? Also, is there any other place in the source that I need to worry about changing for this?
Comment 11 Magnus Melin 2012-04-27 11:24:14 PDT
yes, for instance change it to junkBarMessage2.label. You have to change it there and then of course change it to your new name where it's used.
Comment 12 Bryan 2012-04-27 12:53:28 PDT
Created attachment 619148 [details] [diff] [review]
Patch for bug 590226 - v2

Changed junkbarmessage
Comment 13 Magnus Melin 2012-04-29 02:36:51 PDT
Comment on attachment 619148 [details] [diff] [review]
Patch for bug 590226 - v2

Thanks for the patch! r=mkmelin
Comment 14 Matt Brubeck (:mbrubeck) 2012-04-30 11:40:23 PDT
Adding checkin-needed keyword.  Magnus or Blake, would you be willing to push this patch for Bryan?
Comment 15 Mike Conley (:mconley) - (needinfo me!) 2012-04-30 12:16:37 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/4209ab9786ef

Thanks Bryan!

Note You need to log in before you can comment on or make changes to this bug.